.TH DVI2PS 1 local
.SH NAME
dvi2ps \- convert a TeX DVI file to PostScript
.SH SYNOPSIS
.B dvi2ps
[
.B \-a
pxlpath
] [
.B \-d
] [
.B \-f
from
] [
.B \-t
to
] [
.B \-h
] [
.B \-i
file
] [
.B \-m
mag
] [
.B \-n
copies
] [
.B \-o
option
]
.br
	[
.B \-q
] [
.B \-r
] [
.B \-s
] [
.B \-F
flush
] [
.B \-R
res
] [
.B \-S
]
dvifile[.dvi]
.br
.SH DESCRIPTION
This program converts a DVI file to PostScript, and writes the result
to standard output.  The result requires a small amount of PostScript
source to precede it to the printer, before it can be successfully printed.
(By default, that PostScript code is prepended to the output).

.nr )I \w'\fB\-o option\fP 'u
.TP
.BI \-a " pxlpath"
Add to pixel file search path.
.I Pxlpath
should be a list of directory names separated by colons, similar to
the shell PATH environment variable.  E.g.,
.B "\-a\ \ .:$HOME/myfonts"
would search the current working directory and the subdirectory
.I myfonts
of your home directory for fonts.  If a font file is not found in
.I pxlpath,
either the path in environment variable PXLPATH or, if
PXLPATH isn't set, a default path is searched.  Note that the default
path is
.I not
searched if PXLPATH is set.  If a directory being searched contains
a subdirectory named
.I pk
or
.I pixel,
it is also searched.
.TP
.B \-d
Turn on debugging output (you probably don't want to).
.TP
.BI \-f " from"
Specify starting page number (this is a TeX page number \- \ecount0).
.TP
.B \-h
Do
.I not
copy the standard header file.
This option prevents the standard PostScript header file being
prepended to the output.
.TP
.BI \-i " file"
Copy the named file to the output.
The contents of the file named will be copied to the output
after the standard header file has been copied.
.TP
.B "\-m0 | \-mh | \-m1 | \-m2 | \-m3 | \-m4"
Specify a magstep to use to print the document.  This overrides
whatever might be in the DVI file.
.TP
.BI \-m " mag"
Specify a magnification to use to print the document.
This should
probably be one of the magic numbers 1000, 1095, 1200, 1440, 1728,
but no checking is done.  This mag is in addition to whatever
might be in the DVI file.
.TP
.BI \-n " copies"
Specify the number of copies to print.
.TP
.BI \-o " option"
Specify an printing option.
Valid options are
.I draft,
.I letter,
.I note,
.I legal,
.I landscape
and
.I manualfeed.
This argument may be repeated several times.
.TP
.B \-q
Be quiet.  Don't chatter about pages converted, etc.
.TP         
.B \-r
Reverse page stacking order.
Normally, the DVI pages are processed in reverse order, with the
result that they are stacked in the correct order on a LaserWriter.
This option outputs pages in the order they appear in the DVI file.
.TP
.B \-s
Produce a `standard format' output file (one that conforms to the Adobe
structuring conventions).  The option implies
.B \-r
(psrev can be used to reverse the file) and
.B "\-F 1"
(pages must be independent).
.TP
.BI \-t " to"
Specify an ending page number.
.TP
.B \-w
Don't print out warnings.
.TP
.BI \-F " flush"
Flush fonts every 
.I flush
pages.  Font character bitmaps are output the first time a character is
used.  Unfortunately, there is no way to `undefine' a character
and recover the PostScript VM it is occupying.  Long
TeX documents using cmr (bitmapped) fonts can easily overflow the
available Virtual Memory.  The
.B \-F
.I n
option will cause all the downloaded font information to be
flushed every
.I n
pages (default is no font flushing).  A reasonable value of
.I n
for an Apple LaserWriter is 10.
.TP
.BI \-R " res"
Generate PostScript for a printer of resolution
.I res
dots per inch instead of the default 300dpi (LaserWriter
resolution).
This is
.I not
the same as magnification.
.TP
.B \-S
Run as an
.I lpd
(spooler) filter.  This option allows a DVI file to be read from stdin.
.SH NOTES
.PP
If a font is not available in the resolution needed to display on the 
laser printer,
.I dvi2ps
will attempt to substitute the closest available size.  A warning
message about the substitution will be logged.  If a font is not
available in any resolution, a fatal error is logged and the job
is terminated.
.PP
This version gives (limited) support of the PostScript fonts. The file
TeXPSfonts.map contains the mapping of TeX font
names to Postscript names.
.PP
This version supports the \especial commands needed by Trevor
Darrell's Psfig and the prolog includes all the postscript
definitions needed by Psfig (i.e., `figtex.pro' from the Psfig
distribution has been incorporated into tex.ps).
.SH FILES
.nf
.ta \w'/usr/local/fonts/tfm/TeXPSfonts.map'u+1n
/usr/local/fonts/pk/*	TeX default font rasters
/usr/local/lib/ps/tex.ps	PostScript support code.
/usr/local/fonts/tfm/*	TFM files for PostScript fonts
/usr/local/fonts/tfm/TeXPSfonts.map	TeX \(-> PostScript font map
.fi
.SH "SEE ALSO"
tex, latex, psfig, bbfig
.SH BUGS
Math mode using the PostScript fonts is of marginal quality.
I'm working on it.
.SH AUTHOR(s)
Mark Senn wrote the early versions of this program for the
BBN BitGraph.  Stephan Bechtolsheim, Bob Brown, Richard
Furuta, James Schaad and Robert Wells improved it.  Norm
Hutchinson ported the program to the Sun.  Neal Holtz ported
it to the Apollo, and then to produce PostScript.
Piet van Oostrum adapted it for BSD4.1, changed to pk file format and made
several enhancements.  Van Jacobson
picked up a factor-of-five performance improvement by rewriting the
pk file handling, incorporated LA Carr's postscript
font support and the Psfig \\specials, added font flushing and a
"draft" option, a resolution option and various, massive internal
rewrites.
