/**  Font Data Structures  **/

#define	PXL 1
#define	PK  2
#define	PS  3
#define  STRSIZE        256
#define  NPXLCHARS      256

struct char_entry {		/* a character in a font */
	unsigned short width, height;	/* width and height in pixels */
	short xOffset, yOffset;		/* x offset and y offset in pixels */
	int tfmw;		/* TFM width */
	struct {
		int isloaded;
		union {
			long fileOffset;
			unsigned long *pixptr;
		} address;
		unsigned char flags;
	} where;
};

struct font_entry {
	struct font_entry *next;
	int k, c, s, d, a, l;
	char n[STRSIZE];	/* FNT_DEF command parameters  */
	int font_space;		/* computed from FNT_DEF s parameter */
	int font_mag;		/* computed from FNT_DEF s and d parameters */
	double scale;		/* postscript scaling (usually 1.0) */
	char psname[STRSIZE];	/* PostScript name of the font */
	char name[STRSIZE];	/* full name of PXL file */
	FILE *font_file_id;	/* file identifier (NO_FILE if none) */
	int magnification;	/* magnification read from PXL file */
	int designsize;		/* design size read from PXL file */
	int font_type;		/* PXL or PK or PS (builtin) */
	int ncdl;		/* # of different chars actually downloaded */
	int Flush;		/* page where font def will be flushed */
#ifdef STATS
	int nbpxl;		/* # of bytes of PXL data downloaded */
	int ncts;		/* total # of characters typeset */
#endif
	struct char_entry ch[NPXLCHARS];	/* character information */
};

struct pixel_list {
	FILE *pixel_file_id;	/* file identifier */
	int use_count;		/* count of "opens" */
};
